[mpich-commits] [mpich] MPICH primary repository branch, master, updated. v3.1-133-gb0a75d1

Service Account noreply at mpich.org
Wed Apr 2 08:50:22 CDT 2014


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "MPICH primary repository".

The branch, master has been updated
       via  b0a75d1660b89e8df453153c1c3b96d36fdb0f6b (commit)
      from  2e0747aac347153bdf4e7bf5efe638a455904bce (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.mpich.org/mpich.git/commitdiff/b0a75d1660b89e8df453153c1c3b96d36fdb0f6b

commit b0a75d1660b89e8df453153c1c3b96d36fdb0f6b
Author: Michael Blocksome <blocksom at us.ibm.com>
Date:   Mon Mar 17 15:38:56 2014 -0500

    add support for powerpcle
    
    Signed-off-by: Huiwei Lu <huiweilu at mcs.anl.gov>

diff --git a/autogen.sh b/autogen.sh
index 665f468..eb07ad8 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -897,23 +897,40 @@ if [ "$do_build_configure" = "yes" ] ; then
             # This works with libtool versions 2.4 - 2.4.2.
             # Older versions are not supported to build mpich.
             # Newer versions should have this patch already included.
-            # There is no need to patch if we're not going to use Fortran.
-            if [ $do_bindings = "yes" ] ; then
-                if [ -f $amdir/confdb/libtool.m4 ] ; then
+            if [ -f $amdir/confdb/libtool.m4 ] ; then
+                echo_n "Patching libtool.m4 to enable support for powerpcle... "
+                powerpcle_patch_requires_rebuild=no
+                patch --forward -s -l $amdir/confdb/libtool.m4 maint/0001-libtool-powerpc-le-linux-support.patch
+                if [ $? -eq 0 ] ; then
+                    powerpcle_patch_requires_rebuild=yes
+                    # Remove possible leftovers, which don't imply a failure
+                    rm -f $amdir/confdb/libtool.m4.orig
+                    echo "done"
+                else
+                    echo "failed"
+                fi
+
+                # There is no need to patch if we're not going to use Fortran.
+                nagfor_patch_requires_rebuild=no
+                if [ $do_bindings = "yes" ] ; then
                     echo_n "Patching libtool.m4 for compatibility with nagfor shared libraries... "
                     patch --forward -s -l $amdir/confdb/libtool.m4 maint/libtool.m4.patch
                     if [ $? -eq 0 ] ; then
+                        nagfor_patch_requires_rebuild=yes
                         # Remove possible leftovers, which don't imply a failure
                         rm -f $amdir/confdb/libtool.m4.orig
-                        # Rebuild configure
-                        (cd $amdir && $autoconf -f) || exit 1
-                        # Reset libtool.m4 timestamps to avoid confusing make
-                        touch -r $amdir/confdb/ltversion.m4 $amdir/confdb/libtool.m4
                         echo "done"
                     else
                         echo "failed"
                     fi
                 fi
+
+                if [ $powerpcle_patch_requires_rebuild = "yes" -o $nagfor_patch_requires_rebuild = "yes" ] ; then
+                    # Rebuild configure
+                    (cd $amdir && $autoconf -f) || exit 1
+                    # Reset libtool.m4 timestamps to avoid confusing make
+                    touch -r $amdir/confdb/ltversion.m4 $amdir/confdb/libtool.m4
+                fi
             fi
 	fi
     done
diff --git a/maint/0001-libtool-powerpc-le-linux-support.patch b/maint/0001-libtool-powerpc-le-linux-support.patch
new file mode 100644
index 0000000..52e122a
--- /dev/null
+++ b/maint/0001-libtool-powerpc-le-linux-support.patch
@@ -0,0 +1,111 @@
+From 723f678b8f297544b64880c8d80b60328e82cb45 Mon Sep 17 00:00:00 2001
+From: Alan Modra <amodra at bigpond.net.au>
+Date: Thu, 6 Jun 2013 14:48:22 +0930
+Subject: [PATCH] libtool: powerpc*le-linux support
+
+This is a combination of 5 commits.
+
+See libtool version 2.4.2.418
+http://git.savannah.gnu.org/cgit/libtool.git/log/?h=v2.4.2.418
+
+==========================================================================
+
+  commit 12bf693d2d317c3313ee91058b2289d65a57f386
+  Author: Alan Modra <amodra at bigpond.net.au>
+  Date:   Thu Jun 6 14:48:22 2013 +0930
+
+      libtool: fix refixed unmangled powerpc*le-linux support patch
+
+      * m4/libtool.m4: fix refixed badly unmangled hunks from earlier
+      powerpc*le changeset.
+      Reported by Peter Rosin.
+
+      Signed-off-by: Gary V. Vaughan <gary at gnu.org>
+
+  commit aa14ead14c5e375789f08026d9ece5963a9322c2
+  Author: Alan Modra <amodra at bigpond.net.au>
+  Date:   Thu Jun 6 14:48:22 2013 +0930
+
+      libtool: refix unmangled powerpc*le-linux support patch
+
+      * m4/libtool.m4: refix badly unmangled hunks from earlier
+      powerpc*le changeset.
+      Reported by Peter Rosin.
+
+      Signed-off-by: Gary V. Vaughan <gary at gnu.org>
+
+  commit bb1c8bca8aee6e487aaf6b320b8f56f6ac0d21ac
+  Author: Gary V. Vaughan <gary at gnu.org>
+  Date:   Thu Aug 22 15:38:00 2013 +0700
+
+      libtool: refactor powerpc*le-linux case branch expressions.
+
+      libtool (_LT_ENABLE_LOCK): make inner case branch expressions
+      consistent with outer case expression.
+      Reported by Peter Rosin.
+
+      Signed-off-by: Gary V. Vaughan <gary at gnu.org>
+
+  commit 03754a10041e86b2bd41b404a9ad824ef28bee7e
+  Author: Alan Modra <amodra at bigpond.net.au>
+  Date:   Thu Jun 6 14:48:22 2013 +0930
+
+      libtool: fix mangled powerpc*le-linux support patch
+
+      * m4/libtool.m4: unmangled badly pasted hunks from previous
+      changeset.
+
+  commit f21c4d470423ab5b108918eaa5db295f644b12d1
+  Author: Alan Modra <amodra at bigpond.net.au>
+  Date:   Thu Jun 6 14:48:22 2013 +0930
+
+      libtool: initial powerpc*le-linux support
+
+      * m4/libtool.m4 (ld -m flags): Remove non-canonical ppc host match.
+      Support little-endian powerpc linux host.
+
+==========================================================================
+---
+ libltdl/m4/libtool.m4 |   12 +++++++++---
+ 1 files changed, 9 insertions(+), 3 deletions(-)
+
+diff --git a/libltdl/m4/libtool.m4 b/libltdl/m4/libtool.m4
+index d812584..7aefebc 100644
+--- a/libltdl/m4/libtool.m4
++++ b/libltdl/m4/libtool.m4
+@@ -1268,7 +1268,7 @@ ia64-*-hpux*)
+   rm -rf conftest*
+   ;;
+ 
+-x86_64-*kfreebsd*-gnu|x86_64-*linux*|ppc*-*linux*|powerpc*-*linux*| \
++x86_64-*kfreebsd*-gnu|x86_64-*linux*|powerpc*-*linux*| \
+ s390*-*linux*|s390*-*tpf*|sparc*-*linux*)
+   # Find out which ABI we are using.
+   echo 'int i;' > conftest.$ac_ext
+@@ -1282,7 +1282,10 @@ s390*-*linux*|s390*-*tpf*|sparc*-*linux*)
+ 	  x86_64-*linux*)
+ 	    LD="${LD-ld} -m elf_i386"
+ 	    ;;
+-	  ppc64-*linux*|powerpc64-*linux*)
++	  powerpc64le-*linux*)
++	    LD="${LD-ld} -m elf32lppclinux"
++	    ;;
++	  powerpc64-*linux*)
+ 	    LD="${LD-ld} -m elf32ppclinux"
+ 	    ;;
+ 	  s390x-*linux*)
+@@ -1301,7 +1304,10 @@ s390*-*linux*|s390*-*tpf*|sparc*-*linux*)
+ 	  x86_64-*linux*)
+ 	    LD="${LD-ld} -m elf_x86_64"
+ 	    ;;
+-	  ppc*-*linux*|powerpc*-*linux*)
++	  powerpcle-*linux*)
++	    LD="${LD-ld} -m elf64lppc"
++	    ;;
++	  powerpc-*linux*)
+ 	    LD="${LD-ld} -m elf64ppc"
+ 	    ;;
+ 	  s390*-*linux*|s390*-*tpf*)
+-- 
+1.7.1
+

-----------------------------------------------------------------------

Summary of changes:
 autogen.sh                                        |   31 +++++--
 maint/0001-libtool-powerpc-le-linux-support.patch |  111 +++++++++++++++++++++
 2 files changed, 135 insertions(+), 7 deletions(-)
 create mode 100644 maint/0001-libtool-powerpc-le-linux-support.patch


hooks/post-receive
-- 
MPICH primary repository


More information about the commits mailing list